Subject: Re: [PATCH] send-email: Defines smtpPassCmd config option

From: Carlo Marcelo Arenas Belón <[email-masked]>
Date: Fri, 1 May 2020 05:53:08 -0700

On Fri, May 01, 2020 at 07:51:31AM -0300, Leonardo Bras wrote:
> diff --git a/Documentation/git-send-email.txt b/Documentation/git-send-email.txt
> index 0a69810147..8e9da5ed64 100644
> --- a/Documentation/git-send-email.txt
> +++ b/Documentation/git-send-email.txt
> @@ -203,8 +203,9 @@ independently of `--smtp-user`
>  Furthermore, passwords need not be specified in configuration files
>  or on the command line. If a username has been specified (with
>  `--smtp-user` or a `sendemail.smtpUser`), but no password has been
> -specified (with `--smtp-pass` or `sendemail.smtpPass`), then
> -a password is obtained using 'git-credential'.
> +specified (with `--smtp-pass` or `sendemail.smtpPass`, or as an output
> +of `sendemail.smtpPassCmd`), then a password is obtained using
> +'git-credential'.

this last part on git credential is just undocumented, since it is already
doing so since 4d31a44a08 (git-send-email: use git credential to obtain
password, 2013-02-12)
 
and of course, assuming you use a credential helper that keeps the password
encrypted you could use that instead of this new feature.

having said that, this looks like a good alternative, but might need to
make sure if die makes sense below or would be better to see if you can
still get a password through git credential even if that fails.

maybe the rule of what to do might even need some configuration itself.

Carlo